mdebug_dump_mtext(3m17n)

NAME
mdebug_dump_mtext - Dump an M-text.

SYNOPSIS
MText* mdebug_dump_mtext (MText * mt, int indent, int fullp)

DESCRIPTION
Dump an M-text.

The mdebug_dump_mtext() function prints the M-text mt in a human readable way to the stderr. indent specifies how many columns to indent the lines but the first one. If fullp is zero, this function prints only a character code sequence. Otherwise, it prints the internal byte sequence and text properties as well.

RETURN VALUE

    This function returns mt.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.